Create a Volunteer Attendance
curl --request POST \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeZone": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: '<string>',
hours: '<double>',
startDateTimeUtc: '<dateTime>',
endDateTimeUtc: '<dateTime>'
})
};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance"
payload = {
"timeZone": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"timeZone\": \"<string>\",\n \"hours\": \"<double>\",\n \"startDateTimeUtc\": \"<dateTime>\",\n \"endDateTimeUtc\": \"<dateTime>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'timeZone' => '<string>',
'hours' => '<double>',
'startDateTimeUtc' => '<dateTime>',
'endDateTimeUtc' => '<dateTime>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"timeZone\": \"<string>\",\n \"hours\": \"<double>\",\n \"startDateTimeUtc\": \"<dateTime>\",\n \"endDateTimeUtc\": \"<dateTime>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"timeZone\": \"<string>\",\n \"hours\": \"<double>\",\n \"startDateTimeUtc\": \"<dateTime>\",\n \"endDateTimeUtc\": \"<dateTime>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: '<string>',
hours: '<double>',
startDateTimeUtc: '<dateTime>',
endDateTimeUtc: '<dateTime>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerAttendanceUrl": "<string>",
"volunteerId": "<integer>",
"volunteerUrl": "<string>",
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityUrl": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"startDateTime": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteer Attendance
Create a Volunteer Attendance
POST
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Volunteers
/
{volunteerId}
/
Attendance
Create a Volunteer Attendance
curl --request POST \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timeZone": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: '<string>',
hours: '<double>',
startDateTimeUtc: '<dateTime>',
endDateTimeUtc: '<dateTime>'
})
};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance"
payload = {
"timeZone": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"timeZone\": \"<string>\",\n \"hours\": \"<double>\",\n \"startDateTimeUtc\": \"<dateTime>\",\n \"endDateTimeUtc\": \"<dateTime>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'timeZone' => '<string>',
'hours' => '<double>',
'startDateTimeUtc' => '<dateTime>',
'endDateTimeUtc' => '<dateTime>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"timeZone\": \"<string>\",\n \"hours\": \"<double>\",\n \"startDateTimeUtc\": \"<dateTime>\",\n \"endDateTimeUtc\": \"<dateTime>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"timeZone\": \"<string>\",\n \"hours\": \"<double>\",\n \"startDateTimeUtc\": \"<dateTime>\",\n \"endDateTimeUtc\": \"<dateTime>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId}/Attendance';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timeZone: '<string>',
hours: '<double>',
startDateTimeUtc: '<dateTime>',
endDateTimeUtc: '<dateTime>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerAttendanceUrl": "<string>",
"volunteerId": "<integer>",
"volunteerUrl": "<string>",
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityUrl": "<string>",
"hours": "<double>",
"startDateTimeUtc": "<dateTime>",
"startDateTime": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"endDateTime": "<dateTime>",
"timeZone": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Path Parameters
Response
OK
Last modified on April 23, 2026
Was this page helpful?